Subject: Re: bug#10016: ls -lk is wrong

From: Pádraig Brady <[email-masked]>
Date: Sat, 12 Nov 2011 00:56:29 +0000

On 11/11/2011 09:06 PM, Paul Eggert wrote:
> The long option shouldn't be --kilobyte, since ls -k means
> 1024 not 1000.  So I suppose it should be --kibibyte.
> 
> It's a little tricky, since -k means --block-size=1K
> for df and du as well, and I assume this won't change,
> since df -k and du -k conform to POSIX. (Surely there's
> no need to add --kibibyte to du and df -- why should
> we make df and du more confusing merely because
> ls must be more confusing? :-).
> 
> So does the following sound plausible?
> 
> Add --kibibyte to 'ls', make it equivalent to -k, change
> -k so that it conforms to POSIX, and have --block-size
> override -k.  But leave df and du alone

I'm reluctant to add a new option which no one will really use.
But I concur, given the hits from:

http://codesearch.google.com/#search/&q=ls\%20.*--block%20lang:^shell$&p=1&type=cs

-k really isn't used in that context, and replacing --block with -k
in the above query returns no hits.

cheers,
Pádraig.